Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Value Track and Hold - RG354129

Description

This block implements a track and hold function; it provides a single output.

The Select input selects between the tracking mode (T) where the output follows the input and the holding mode (H) where the output stays constant, ignoring changes on the input.

Although the Select input may be connected to other function blocks in the system, a new output is computed only when the Input receives a message.

Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Select	Select input.  Expects either Track (false) or Hold (true).

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the output:  -100% to +100%.

Get Select	Returns the current state of the Select input.  Either Tracking or Holding.


Description

This block implements a track and hold function; it provides a single output.

The Select input selects between the tracking mode (T) where the output follows the input and the holding mode (H) where the output stays constant, ignoring changes on the input.

Although the Select input may be connected to other function blocks in the system, a new output is computed only when the Input receives a message.


Parameters

Input	Primary input to the block.  Expects a value (-100% to +100%).

Select	Select input.  Expects either Track (false) or Hold (true).

Get Input	Returns the current value of the input:  -100% to +100%.

Get Output	Returns the current value of the output:  -100% to +100%.

Get Select	Returns the current state of the Select input.  Either Tracking or Holding.